Name: 		gtk-qt-engine
Version: 	20060826
Release: 	1
Copyright: 	GPL
Summary: 	KDE
Group: 		KDE
URL:		http://www.freedesktop.org/wiki/Software_2fgtk_2dqt
Source: 	%{name}.tar.bz2
Patch0:         %{name}.diff
Patch1:		%{name}-cvs.diff
Patch2:		%{name}-nspluginviewer-fix.diff
Requires:	qt gtk2
BuildRequires:  qt-devel gtk2-devel
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
K Desktop Environment.
Allow GTK Themes to look exactly like QT/KDE Themes.

How to setup. 

1. Click [K start Menu]+[Control Center]
2. Click [Appearance & Themes]+[Colors]
Check-mark "Apply Colors to non-KDE Applications] e.g. [o]
3. Click [GTK Styles and Fonts] - Rest is self explanatory.

Make sure to "Apply" changes then restart your GTK apps.

cvs -d :pserver:anoncvs@cvs.freedesktop.org:/cvs/gtk-qt co gtk-qt-engine

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}
%patch0
%patch1
%patch2

%build
make -f Makefile.cvs
configure --prefix=/opt/kde \
	  --host=i386-pc-linux-gnu \
          --build=i386-pc-linux-gnu \
	  --sysconfdir=/etc \
          --enable-debug=full \
	  --disable-nls \
	  --without-included-gettext \
          --enable-final \
	  --with-xinerama \
	  --with-extra-libs=/usr/lib \
	  --with-extra-includes=/usr/include \
          --with-install-root=$RPM_BUILD_ROOT \
	  --enable-audio=oss,esd \
	  --enable-tcltk \
	  --with-tcltk \
	  --with-tclx=/usr/lib

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
